6 Replies Latest reply: Dec 17, 2012 10:24 PM by 980080 RSS

    using xampp 1.8.1 and oracle 11g

    980080
      I'm using xampp 1.8.1 and oracle 11g

      i already download instance client

      change the path

      F:\app\ARMv2\product\11.1.0\db_1\bin;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;%SYSTEMROOT%\System32\WindowsPowerShell\v1.0\;C:\Program Files\ATI Technologies\ATI.ACE\Core-Static\;C:\instantclient

      then i create database and index.php.

      start xampp.

      when i run it, i get error

      Warning: oci_connect(): ORA-24315: illegal attribute type in C:\xampp\htdocs\cart\index.php on line 3

      i look the line code

      $conn = oci_connect('CART','12345','localhost/XE');

      what i miss? please help me...
        • 1. Re: using xampp 1.8.1 and oracle 11g
          cj
          I'm guessing you Oracle 11g Database on the machine where xampp is installed If so, then delete Instant Client. PHP can use the Oracle libraries from Oracle Database.

          It sounds like you are using 10g Instant Client with php_oci8_11g.dll, or have some other clash due to multiple Oracle libraries.
          • 2. Re: using xampp 1.8.1 and oracle 11g
            980080
            what i need to do now is delete instance client . then how to connect php with oracle ..?
            • 3. Re: using xampp 1.8.1 and oracle 11g
              cj
              Is your database on the same machine you are running PHP from?
              • 4. Re: using xampp 1.8.1 and oracle 11g
                980080
                how to check?

                i test connect to hr table but error.
                Warning: oci_connect(): ORA-24315: illegal attribute type

                $conn = oci_connect('hr', 'hr', 'localhost/XE');

                info in xampp

                OCI8 Support     enabled
                Version     1.4.7
                Revision     $Id: bf2eaf558b050b6d2e6d098bed6345af7e842ea4 $
                Active Persistent Connections     0
                Active Connections     0
                Oracle Run-time Client Library Version     11.1.0.6.0
                Oracle Instant Client Version     11.2
                Temporary Lob support     enabled
                Collections support     enabled

                Edited by: 977077 on Dec 16, 2012 3:57 PM
                • 5. Re: using xampp 1.8.1 and oracle 11g
                  cj
                  The ORA error still indicates some Oracle library version clash to me. Your installation is broken and this needs fixing. Since I don't I know what Oracle software is on your machine or what is in your php.ini, I can't offer particularly constructive help. Give some more details and we can try to get further.
                  • 6. Re: using xampp 1.8.1 and oracle 11g
                    980080
                    oracle sql developer 1.1.3.2769
                    xampp 1.8.1

                    i think i need to get the latest version for oracle..

                    Edited by: 977077 on Dec 17, 2012 8:24 PM